{% extends 'template.html' %}
{% load static %}
{% block content %}
<!DOCTYPE html>
<html>
	<head>
		<meta charset="UTF-8">
        <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/css/bootstrap.min.css" integrity="sha384-MCw98/SFnGE8fJT3GXwEOngsV7Zt27NXFoaoApmYm81iuXoPkFOJwJ8ERdknLPMO" crossorigin="anonymous">
        <script src="https://code.jquery.com/jquery-3.3.1.slim.min.js" integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo" crossorigin="anonymous"></script>
        <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.3/umd/popper.min.js" integrity="sha384-ZMP7rVo3mIykV+2+9J3UJ46jBk0WLaUAdn689aCwoqbBJiSnjAK/l8WvCWPIPm49" crossorigin="anonymous"></script>
        <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/js/bootstrap.min.js" integrity="sha384-ChfqqxuZUCnJSK3+MXmPNIyE6ZbWh2IMqE241rYiqJxyMiZ6OW/JmZQ5stwEULTy" crossorigin="anonymous"></script>
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
		<title>Registrasikan</title>
	</head>

	<body style="background-image: url(annie-spratt-554761-unsplash.jpg);">
		<div class="head">
			<h1 id="judul" size='4vmax'>Silahkan registrasi pada Website Saya</h1>
		</div>
	</body>

	<div class="flex" style="width: : 50%; margin-left: 25%">
		<section name='form'>
			<form action="{% url 'submitRegis' %}" method="POST" style="width: 90%; margin-left: 5%">
				{% csrf_token %}
				{{ form.as_p }}
				<button type="submit" class="btn" id="regist" disabled="true">Registrasi</button>
			</form>
		</section>
	</div>

	<script type="text/javascript" src="http://ajax.googleapis.com/ajax/libs/jquery/1.6.4/jquery.min.js"></script>
	<script type="text/javascript">
		/*$(document).ready(function(){
			var valid_name = false;
			var valid_email = false;
			var valid_password = false;

			$('.form-control').keyup(function(){
				$('.btn').attr('disabled',true);
				$('#nameInput').keyup(function(){
					if($(this).val().length != 0){
						valid_name = true;
					}
					else{
						valid_name =false;
					}
				})

				$('#emailInput').keyup(function(){
					if($(this).val().length != 0){
						valid_email = true;
					}
					else{
						valid_email = false;
					}
				})

				$('#passInput').keyup(function(){
					if($(this).val().length != 0){
						valid_password = true;
					}
					else{
						valid_password = false;
					}
				})

				if(valid_name == true && valid_email == true && valid_password == true){
					$('.btn').attr('disabled', false);
				}
				else{
					$('.btn').attr('disabled', true);
				}
			})
		})*/

		$(document).ready(function(){
			var validasi = false;

			$('.form-control').keyup(function(){
				var nama = document.getElementById('nameInput');
				var email = document.getElementById('emailInput');
				var password = document.getElementById('passInput');
				if(nama.value.length != 0 && email.value.length != 0 && password.value.length != 0){
					cek(email.value);
				}
				else{
					document.getElementById('regist').textContent = "Registrasi";
					$('.btn').attr('disabled', true);
				}
			});
		});

		function cek(value){
			console.log("masuk")
			$.ajax({
				type: "POST",
				data: {
					email: value,
					csrfmiddlewaretoken: document.getElementsByName('csrfmiddlewaretoken')[0].value
				},
				dataType: "json",
				url: '/registrasi/cek',
				success: function(result){
					console.log("masukea")
					if(!result['salah']){
						document.getElementById('regist').textContent = "Registrasi";
						$('.btn').attr('disabled', false);
					}
					else{
						document.getElementById('regist').textContent = "Email sudah ada!";
						$('.btn').attr('disabled',true);
					}
				}
			});
		}

		$('#regist').click(function(e){
			e.preventDefault();
			var name = document.getElementById('nameInput').value;
			var email = document.getElementById('emailInput').value;
			var password = document.getElementById('passInput').value;
			$.ajax({
				type: "POST",
				data: {
					name: name,
					email: email,
					password: password,
					csrfmiddlewaretoken: document.getElementsByName('csrfmiddlewaretoken')[0].value
				},
				dataType: "json",
				url: '/registrasi/submit',
				success: function(result){
					if(result.hasil == "True"){
						$('#nameInput').val("");
						$('#emailInput').val("");
						$('#passInput').val("");
						alert("Berhasil Terdaftar!");
					}
					else{
						$('#nameInput').val("");
						$('#emailInput').val("");
						$('#passInput').val("");
						alert("Email salah");
					}
				}
			});
		});
	</script>
</html>
{% endblock %}